Bug 147839 - Permissions for allowed flags for IMAP account not obeyed
Summary: Permissions for allowed flags for IMAP account not obeyed
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kmail
Classification: Unclassified
Component: IMAP (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-07-13 12:11 UTC by ian
Modified: 2015-04-12 09:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Wireshark capture of KMail (240.19 KB, application/octet-stream)
2007-07-13 12:13 UTC, ian
Details
Wireshark capture of Thunderbird (189.35 KB, application/octet-stream)
2007-07-13 12:15 UTC, ian
Details
KMail error message window (29.88 KB, image/png)
2007-07-13 12:20 UTC, ian
Details
KMail error message window (29.70 KB, image/png)
2007-07-13 12:50 UTC, ian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ian 2007-07-13 12:11:03 UTC
Version:           3.5.7 (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc 4.1.2 
OS:                Linux

When reading a mail in a shared IMAP folder that has restricted permissions, KMail seems to fail to observe these permissions.  When the mail is read, KMail tries to set a number of flags for the message for which I get a permission denied error.  

I have compared the action to that of Thunderbird and seen that Thunderbird asks the mail server for the flags it is allowed to set, and stays within these limits.  KMail seems to not ask the server for which flags it can set.

I have two captures from Wireshark which I will attach which compare that actions of KMail and Thunderbird.  Please note that in both captures I have edited the capture to change my username and password to "xxxxxxxx" for my own personal security.

In the Thunderbird capture, you can see at packets 209 and 210 that Thunderbird is asking for "myrights" and gets "lrsipd" back, and later observes these rights when setting the flags for the message.  KMail appears to not ask the mail server about these rights at all, and just tries to set the flags it thinks it should set.

This problem has existed for quite some time through previous versions of KMail that I have used, however I was only able to recently confirm that this is a bug.
Comment 1 ian 2007-07-13 12:13:29 UTC
Created attachment 21131 [details]
Wireshark capture of KMail

This is the wireshark capture from KMail, from when KMail is started to when it
gets the message from the mail server that the setting of the flags is not
permitted.  Actions here were open Kmail, click on shared folder, click on
message, get error message.
Comment 2 ian 2007-07-13 12:15:43 UTC
Created attachment 21132 [details]
Wireshark capture of Thunderbird

This is the wireshark capture of Thunderbird from when Thunderbird is started
to when the message in the shared folder is marked as read and the flags are
accepted by the mail server.
Comment 3 ian 2007-07-13 12:20:19 UTC
Created attachment 21133 [details]
KMail error message window

Error message window that is shown when KMail tries to set the flags for the
messages, and subsequently gets a permission denied message back from the mail
server.
Comment 4 ian 2007-07-13 12:47:37 UTC
Comment on attachment 21133 [details]
KMail error message window

Being replaced by the snapshot where I have blacked out my userid.
Comment 5 ian 2007-07-13 12:49:17 UTC
Unfortunately I attached the wrong file in attachment 3 [details] and don't seem to be able to delete it.  

Please delete the attachment from my Comment #3 as it contains my userid which I don't want published for the world to see.  I will attach the correct file now.
Comment 6 ian 2007-07-13 12:50:38 UTC
Created attachment 21136 [details]
KMail error message window 

Error message window that is shown when KMail tries to set the flags for the
messages, and subsequently gets a permission denied message back from the mail
server.  My userid has been blacked out for security reasons.
Comment 7 Thomas McGuire 2007-07-15 14:49:05 UTC
>Please delete the attachment from my Comment #3 as it contains my userid which don't want published for the world to see.
I don't know if that is possible at all. At least I don't have the permission to do that, sorry.
Comment 8 ian 2008-02-12 14:11:47 UTC
This problem still exists in KMail 1.9.7 with KDE 3.5.8.  Platform is Gentoo,
$ gcc -v
Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: /usr/portage/build/portage/sys-devel/gcc-4.1.2/work/gcc-4.1.2/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.1.2 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.1.2 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.1.2/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.1.2/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.1.2/include/g++-v4 --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --disable-altivec --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-libunwind-exceptions --disable-multilib --disable-libmudflap --disable-libssp --disable-libgcj --enable-languages=c,c++,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu
Thread model: posix
gcc version 4.1.2 (Gentoo 4.1.2)
Comment 9 ian 2008-07-11 15:49:08 UTC
For the first birthday of this bug report, I would like to ask if anything is being done about it.
Comment 10 Laurent Montel 2015-04-12 09:58:32 UTC
Thank you for taking the time to file a bug report.

KMail2 was released in 2011, and the entire code base went through significant changes. We are currently in the process of porting to Qt5 and KF5. It is unlikely that these bugs are still valid in KMail2.

We welcome you to try out KMail 2 with the KDE 4.14 release and give your feedback.